title: Programma più rapidamente con GitLab Duo Pro
og_title: Programma più rapidamente con GitLab Duo Pro
description: >-
  Potenzia la programmazione con l'IA generativa. Protezione del codice sorgente, integrazione dell'IDE, supporto multilingue e tanto altro ancora. Inizia a soli 9 $ al mese. Contattaci ora.
twitter_description: >-
  Potenzia la programmazione con l'IA generativa. Protezione del codice sorgente, integrazione dell'IDE, supporto multilingue e tanto altro ancora. Inizia a soli 9 $ al mese. Contattaci ora.
image_title: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
og_description: >-
  Potenzia la programmazione con l'IA generativa. Protezione del codice sorgente, integrazione dell'IDE, supporto multilingue e tanto altro ancora. Inizia a soli 9 $ al mese. Contattaci ora.
og_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
twitter_image: >-
  //images.ctfassets.net/xz1dnu24egyd/6nDHWF2byPjkFySXitFst4/c5d149d864207a3b94151d70e5ba0ac7/GitLab-Duo-Code-Suggestions.jpg
aiContent:
  aiCard:
    eyebrow: IA agentica
    title: Un'IA agentica sicura e in linea con gli standard aziendali
    body: >-
      L'IA agentica è destinata a rivoluzionare il settore della programmazione. Grazie a essa, gli sviluppatori possono creare software a livelli di grandezza impossibili da concepire solo qualche tempo fa. Tuttavia, una simile portata sta sollevando importanti interrogativi riguardo alla visibilità e alla sicurezza. La piattaforma DevSecOps di GitLab centralizza tutti gli strumenti, consentendoti di accelerare il processo di sviluppo mantenendo al contempo elevati standard di sicurezza e controllo.
  aiAccordion:
  - header: Un'IA agentica sicura su larga scala
    icon:
      name: ai-vulnerability-resolution
      variant: marketing
      color: '#fff'
    text: >-
     Non limitarti a ricorrere agli strumenti assistivi per l'intera esperienza di sviluppo software, dalle revisioni della sicurezza ai processi di deployment, ma sfrutta un'IA agentica integrata nella piattaforma DevSecOps più completa sul mercato.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: secure agentic ai at scale
    data_ga_location: body
  - header: Agenti IA sensibili al contesto
    icon:
      name: ai-git-suggestions
      variant: marketing
      color: '#fff'
    text: >-
      GitLab Duo Workflow è in grado di comprendere l'intero contesto del ciclo di sviluppo software, dalle attività di uno sviluppatore nell'IDE ai criteri di sicurezza dell'organizzazione, senza contare le richieste di merge e non solo.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: context-aware ai agents
    data_ga_location: body
  - header: Controllo e sicurezza in linea con gli standard aziendali
    icon:
      name: eye
      variant: marketing
      color: '#fff'
    text: >-
      GitLab Duo Workflow sfrutta i vantaggi della piattaforma DevSecOps più completa sul mercato, tra cui sicurezza, protezione e governance di livello aziendale con misure di controllo organizzativo.
    link_url: "http://about.gitlab.com/blog/2025/02/24/gitlab-duo-workflow-enterprise-visibility-and-control-for-agentic-ai/"
    data_ga_name: enterprise-grade control and security
    data_ga_location: body
cards:
  - description: >-
      ##### Ti presentiamo GitLab Duo Workflow, il futuro dello sviluppo software basato su un'IA agentica sicura.


      Basata sulla piattaforma DevSecOps più completa sul mercato, GitLab Duo Workflow è in grado di comprendere l'intero ciclo di sviluppo software e di mantenere gli elevati standard di sicurezza e controllo richiesti dalle grandi aziende.


      **GitLab Duo Workflow permette agli sviluppatori di accelerare:**
      
      - il bootstrapping dei nuovi progetti di codice

      - la modernizzazione del codice

      - l'esecuzione di attività contestuali

      - la creazione della documentazione

      - l'ampliamento della copertura dei test

      - e tanto altro ancora


      Iscriviti alla lista d'attesa della beta privata e scopri le potenzialità di agenti IA in grado di comprendere l'intero SDLC.

    video: https://player.vimeo.com/video/1059060959?badge=0&amp;autopause=0&amp;player_id=0&amp;app_id=584798479
    variant: Default
duoCombinedHero:
  title: Il futuro dello sviluppo software basato su un'IA agentica sicura
  primaryButton: 
    variant: tertiary
    data_ga_name: cta
    data_ga_location: hero
    text: Registrati ora
    href: '#form'
    icon: 
      name: arrow-down
      variant: product

  blurb: Workflow
  id: gitlab-duo-combined-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/2pLToUWGc7Vm7nnD3cuS30/674083fec72cf16a5867d8611032ba30/cb3747f9dbe2e63a8fe7d955f1e58f54.png
form:
  internalName: 28516 (pro form)
  formId: '28516'
  formDataLayer: sales
  registrationClosed: false
  blurb: >
    __Iscriviti alla lista d'attesa per la beta di GitLab Duo Workflow__

    Ti invieremo una notifica non appena sarà tutto pronto per partecipare al programma beta di GitLab Duo Workflow.
resources:
  data:
    title: Novità dell'IA di GitLab
    column_size: 4
    cards:
      - header: Ricevi aggiornamenti su IA e ML di GitLab
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/7m9wdMydyUHx9TS6oMqWw3/7e0d0ff4efb8ba2191e9a7131c7007f7/gitlabduo.webp
        link_text: Scopri di più
        href: /blog/categories/ai-ml/
        data_ga_name: gitlab-duo-chat-beta
        data_ga_location: cs sale body
        event_type: Blog
      - header: 'Tendenze dell''IA per il 2025: IA agentica, modelli in self-hosting e non solo'
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/1JQaFtSzNn8wLh4oeCzO5t/15dc0323234e2e0fad1f9a7cc527b0f0/ai-fireside-chat_2__1_.png
        link_text: Scopri di più
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: gitlab-ai-assisted-features
        data_ga_location: body
        event_type: Blog
      - header: Semplificare lo sviluppo software con l'IA
        icon:
          name: blog
          variant: marketing
          alt: blog icon
        image: >-
          //images.ctfassets.net/xz1dnu24egyd/6hNLYhTjD4iG3o5zco602y/bdcbac01525ba265578625d65a4620f8/ai-experiment-stars.png
        link_text: Scopri di più
        href: /the-source/ai/ai-trends-for-2025-agentic-ai-self-hosted-models-and-more/
        data_ga_name: ai-assisted-code-suggestions
        event_type: Blog
submittedHero:
  title: Grazie per averci contattato!
  description: Presto ti forniremo le indicazioni necessarie per iniziare a usare GitLab Duo Workflow.
  id: thank-you-hero
  backgroundImage:
    src: >-
      //images.ctfassets.net/xz1dnu24egyd/6Wyo8uOL4oJC7UI288hGNF/667cb43e43cf809e7f5acd33b40eda72/thankyou-stars-v2.svg
  icon: slp-support